# Dash
Dash is a moodle block which can be used to display and visualise data for various purposes. Create course catalogs, dashboards, community pages, reports, timelines and much more with Dash, the page builder for Moodle and Totara. Dash comes with several widgets that area immediately ready to use, for example to create a community page. For more advanced users, the dash framework provides many options to create data-driven, bespoke interfaces easily.
Dash is a very powerful and flexible tool – you can build so many things with it. Every active subscriber is encouraged to make use of the complimentary online session we provide. We’ll help you to get up and running in a breeze and get most out of Dash. Our roadmap for Dash is already pretty extensive, but we’re *always* open for feature requests and would love to hear your requirements. Get in touch!

# Requirements
This plugin requires Moodle 3.7+

# Motivation for this plugin
Dash is intended to be used in conjunction with a theme — while the theme takes care of the design, Dash allows administrators to create custom layouts and interfaces using configuration only. The Dash framework enables you to create data driven interfaces and reports. Choose from several data sources and several layouts to build the interfaces you need. The core of dash is a block (this repository) – which means that you can add a dash almost everywhere. 

# Free version
The free version (this repository) has the following features:
- The block with many appearance options
- Users data source
- Table layout
- "My learning" widget
- "My contacts" widget
- "My groups" widget
- and many mroe...

# Pro version
The pro version (different repository) adds the following features:
- More data sources
- Unlimited dashboards 
- More templates (e.g. a grid layout)
- "Skill graph" widget (competency radar)
- "Course enrolments" widget
- "Course completions" widget
- and many more (see https://bdecent.de/product-category/dash/ for more details)

# Change log
See the changes.md.

# Installation
Install the plugin like any other plugin to folder /mod/pulse
See http://docs.moodle.org/en/Installing_plugins for details on installing Moodle plugins

# Initial Configuration
After installing the plugin, it is ready to use without the need for any configuration.

# Theme support
This plugin is developed and tested on Moodle Core's Boost theme. It should also work with Boost child themes, including Moodle Core's Classic theme. However, we can't support any other theme than Boost.

# Plugin repositories
This plugin will be published and regularly updated in the Moodle plugins repository: https://moodle.org/plugins/block_dash
The latest development version can be found on Github: https://github.com/bdecentgmbh/moodle-block_dash

# Bug and problem reports / Support requests
This plugin is carefully developed and thoroughly tested, but bugs and problems can always appear.
Please report bugs and problems on Github: https://github.com/bdecentgmbh/moodle-block_dash/issues
We will do our best to solve your problems, but please note that due to limited resources we can't always provide per-case support.

# Feature proposals
Please issue feature proposals on Github: https://github.com/bdecentgmbh/moodle-block_dash/issues
Please create pull requests on Github: https://github.com/bdecentgmbh/moodle-block_dash/pulls
We are always interested to read about your feature proposals or even get a pull request from you, but please accept that we can handle your issues only as feature proposals and not as feature requests.

# Moodle release support
This plugin is maintained for the two most recent major releases of Moodle as well as the most recent LTS release of Moodle.
If you are running a legacy version of Moodle, but want or need to run the latest version of this plugin, you can get the latest version of the plugin, remove the line starting with $plugin->requires from version.php and use this latest plugin version then on your legacy Moodle. However, please note that you will run this setup completely at your own risk. We can't support this approach in any way and there is an undeniable risk for erratic behavior.

# Translating this plugin
This Moodle plugin is shipped with an english language pack only. All translations into other languages must be managed through AMOS (https://lang.moodle.org) by what they will become part of Moodle's official language pack.

# Copyright
bdecent gmbh 
bdecent.de
