<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_dash', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package   block_dash
 * @copyright 2019 bdecent gmbh <https://bdecent.de>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['accordionfield1'] = 'Top left field';
$string['accordionfield1icon'] = 'Top left field icon';
$string['accordionfield2'] = 'Top right field';
$string['accordionfield2icon'] = 'Top right field icon';
$string['accordionfield3'] = 'Bottom left field';
$string['accordionfield3icon'] = 'Bottom left field icon';
$string['accordionfield4'] = 'Bottom right field';
$string['accordionfield4icon'] = 'Bottom right field icon';
$string['activityprogress'] = 'Progress (completed / total activities)';
$string['activityprogressbar'] = 'Progress bar (completed / total activities)';
$string['addnewfield'] = 'Add new field';
$string['availablefields'] = 'Available fields';
$string['availablefields_help'] = 'Choose all possible fields this data source will utilize. The user will be able to select which fields to include for their own purposes. For example, if you are displaying user information, try to include as many user fields as possible.';
$string['backgroundgradient'] = 'Background gradient';
$string['backgroundgradient_help'] = 'Generate a gradient: <a href="https://cssgradient.io/" target="_blank">cssgradient.io</a>. Paste the background property (linear-gradient)';
$string['backgroundimage'] = 'Background image';
$string['backgroundimage_help'] = 'Cover entire block background with this image';
$string['badgecolorfield'] = 'Badge color field';
$string['badgecolorfield_help'] = 'Choose a field that returns colors to be used for timeline item badges.';
$string['blocktitle'] = 'Block title';
$string['blocktitle_help'] = 'Title displayed in block heading. Enter a short and descriptive title for what this block displays to the user.';
$string['blockwidth'] = 'Block width';
$string['showheader'] = "Show header";
$string['showheader_help'] = "Hide the block title if editing is turned off.";
$string['hidden'] = "Hidden";
$string['bodyfield'] = 'Body field';
$string['bootstrapversion'] = 'Theme bootstrap version';
$string['bootstrapversion_desc'] = 'Choose the version of Bootstrap your theme supports. Moodle is typically 4, and Totara is 3.';
$string['border'] = 'Border';
$string['border_help'] = 'CSS border property value.';
$string['choosedatasource'] = 'Choose data source';
$string['columns'] = 'Columns';
$string['columns_help'] = 'The number of columns to display per row in the grid.';
$string['completedactivities'] = 'Completed activities';
$string['contextid'] = 'Context';
$string['contextid_help'] = 'The context for this dashboard. Choose a specific course if you plan on limiting data results (Example: "Current course" filter). Otherwise choose System for general purposes.';
$string['contextmissing'] = 'Missing context';
$string['coursebutton'] = 'Course button';
$string['coursecategories'] = 'Course categories';
$string['courseoverviewfilesurl'] = 'Course image URL';
$string['coursesummary'] = 'Course summary';
$string['courseurl'] = 'Course URL';
$string['courseurl'] = 'Course URL';
$string['createcustomdatasource'] = 'Create custom data source';
$string['createcustomlayout'] = 'Create custom layout';
$string['createdashboard'] = 'Create dashboard';
$string['createlayout'] = 'Create custom layout';
$string['cssclass'] = 'CSS Class';
$string['currentcourse'] = 'Current course';
$string['currentcoursecontext'] = 'Current course context';
$string['currentcoursegroups'] = 'Current course groups';
$string['custom'] = 'Custom';
$string['customdatasource'] = 'Custom data source';
$string['customdatasourcecreated'] = 'Data source <b>{$a->name}</b> successfully created.';
$string['customdatasourcedeleted'] = 'Delete custom data source';
$string['customdatasourceedited'] = 'Data source <b>{$a->name}</b> successfully edited.';
$string['customdatasources'] = 'Custom data sources';
$string['customfield'] = '{$a->name}';
$string['customlayoutcreated'] = 'Custom layout <b>{$a->name}</b> successfully created.';
$string['customlayoutdeleted'] = 'Custom layout <b>{$a->name}</b> successfully deleted.';
$string['customlayoutedited'] = 'Custom layout <b>{$a->name}</b> successfully edited.';
$string['customsqlfield'] = 'SQL field';
$string['customsqlselect'] = 'SQL select';
$string['dash:addinstance'] = 'Add a new Dash block';
$string['dash:myaddinstance'] = 'Add a new Dash block to dashboard';
$string['dashboard'] = 'Dashboard';
$string['dashboardcreated'] = 'Dashboard <b>{$a->name}</b> successfully created';
$string['dashboarddeleted'] = 'Dashboard <b>{$a->name}</b> successfully deleted';
$string['dashboardedited'] = 'Dashboard <b>{$a->name}</b> successfully edited';
$string['dashboardlink'] = 'Dashboard link';
$string['dashboards'] = 'Dashboards';
$string['databaseerror'] = 'Database error. The content cannot be displayed.';
$string['datasource'] = 'Data source';
$string['datasource:completions_data_source'] = 'Course completions';
$string['datasource:courses_data_source'] = 'Courses';
$string['datasource:dashboard_data_source'] = 'Dashboards';
$string['datasource:logstore_data_source'] = 'Site logs';
$string['datasourcemissing'] = 'Data source missing';
$string['datasourcename'] = 'Data source name';
$string['datecompleted'] = 'Date completed';
$string['daysuntilend'] = 'Days until end date';
$string['daysuntilstart'] = 'Days until start date';
$string['defaultsortdirection'] = 'Sort direction';
$string['defaultsortfield'] = 'Sort by';
$string['defaultsortfield_help'] = 'Sort database results by this field. If layout supports user sorting, this will be the default.';
$string['delete'] = 'Delete';
$string['deleteconfirm'] = 'Are you sure you want to delete dashboard <b>{$a->name}</b>?';
$string['deleteconfirmcustomdatasource'] = 'Are you sure you want to delete the <b>{$a->name}</b> custom data source?';
$string['deleteconfirmcustomlayout'] = 'Are you sure you want to delete the <b>{$a->name}</b> custom layout?';
$string['deletecustomdatasource'] = 'Delete custom data source';
$string['deletecustomlayout'] = 'Delete custom layout';
$string['deletedashboard'] = 'Delete dashboard';
$string['disableall'] = 'Disable all Dash output';
$string['disableall_help'] = 'Warning: For troubleshooting purposes or troubleshooting broken pages';
$string['disableallmessage'] = 'Dash output is disabled. Check Dash settings.';
$string['dragitem'] = 'Drag item';
$string['edit'] = 'Edit';
$string['editcustomdatasource'] = 'Edit data source';
$string['editcustomlayout'] = 'Edit custom layout';
$string['editdashboard'] = 'Edit dashboard';
$string['editpreferences'] = 'Edit preferences';
$string['editthisblock'] = 'Edit this block\'s settings to finish configuration.';
$string['enabledconditions'] = 'Limit data to';
$string['enabledfields'] = 'Enabled fields';
$string['enabledfilters'] = 'Enabled filters';
$string['enrollment'] = 'Enrollment';
$string['enrollmentmethod'] = 'Enrollment method';
$string['enrollmentmethodstatus'] = 'Enrollment method status';
$string['enrollments'] = 'Enrollments';
$string['enrollmentself'] = 'Self enrollments';
$string['enrollmentsnotself'] = 'Non-self enrollments';
$string['enrollmentstatus'] = 'Enrollment status';
$string['enrollmenttimeend'] = 'Enrollment end date';
$string['enrollmenttimestart'] = 'Enrollment start date';
$string['event_desc_core_event_user_enrolment_created'] = '{$a->relateduserfullname} was enrolled in <a href="{$a->eventurl}" title="View {$a->contextname}">{$a->contextname}</a>';
$string['event_desc_generic'] = '{$a->userfullname} {$a->action} <a href="{$a->eventurl}" title="View {$a->contextname}">{$a->contextname}</a>';
$string['eventbutton'] = 'Event button';
$string['eventclass'] = 'Event class';
$string['eventcolor'] = 'Event color';
$string['eventdescription'] = 'Event description';
$string['eventicon'] = 'Event icon';
$string['eventlink'] = 'Event link';
$string['events'] = 'Events';
$string['eventtime'] = 'Event time';
$string['eventurl'] = 'Event URL';
$string['extracontent'] = 'Extra content';
$string['fieldname'] = 'Field name';
$string['fieldnotfound'] = 'Field not found.';
$string['fields'] = 'Fields';
$string['fieldselect'] = 'Field SQL select';
$string['fontcolor'] = 'Font color';
$string['fontcolor_help'] = 'CSS font color property (e.g. #ffffff, rgb(255, 255, 255), etc)';
$string['footercontent'] = 'Footer content';
$string['footercontent_help'] = 'Content displayed in the block footer.';
$string['footerfield'] = 'Footer field';
$string['footerrightfield'] = 'Footer field (right)';
$string['fullnamelinked'] = 'Full name (linked to profile)';
$string['gotoevent'] = 'Go to event';
$string['groupby'] = 'Group by';
$string['grouplabel'] = 'Group label';
$string['headercontent'] = 'Header content';
$string['headercontent_help'] = 'Content displayed in the block header.';
$string['headingfield'] = 'Heading field';
$string['hidewhenempty'] = 'Hide when empty';
$string['hidewhenempty_desc'] = "Hide the dash block when it's empty.";
$string['iconfield'] = 'Icon field';
$string['imageoverlayfield'] = 'Image overlay field';
$string['imageoverlayfield_help'] = 'Content to display over image with solid background.';
$string['imageurlfield'] = 'Image URL field';
$string['imageurlfield_help'] = 'Choose an image URL field that will be used in each card in the grid.';
$string['includesubcategories'] = 'Include subcategories';
$string['includesubcategories_help'] = 'If checked, subcategories of chosen categories will also be included in results.';
$string['invalididnumberunique'] = 'ID Number already exists.';
$string['invalidoperator'] = 'Invalid operator {$a->operator}.';
$string['invalidshortname'] = 'Invalid shortname. It must only contain letters a-zA-Z or hyphens (-).';
$string['invalidshortnametoolong'] = 'Invalid Shortname. Must be 16 characters or less.';
$string['invalidshortnameunique'] = 'This shortname is already used by another dashboard.';
$string['invalidwhereclause'] = 'Invalid where clause. No values provided.';
$string['label'] = 'Label';
$string['layout'] = 'Layout';
$string['layoutaccordion'] = 'Accordion layout (with tables)';
$string['layoutaccordion2'] = 'Accordion layout';
$string['layoutcards'] = 'Grid layout';
$string['layoutdoesnotsupportfiltering'] = 'The chosen layout does not support filtering';
$string['layoutgrid'] = 'Table layout';
$string['layoutonestat'] = 'One figure + label layout';
$string['layouttimeline'] = 'Timeline layout';
$string['layouttwostat'] = 'One figure / other figure layout';
$string['layouttype'] = 'Layout type';
$string['loggedinuser'] = 'Logged in user';
$string['managecustomdatasources'] = 'Manage custom data sources';
$string['managedashboards'] = 'Manage dashboards';
$string['managedatasources'] = 'Manage data sources';
$string['managelayouts'] = 'Manage layouts';
$string['maxlimit'] = 'Limit to';
$string['maxlimit_help'] = 'Limit query results to this maximum amount.';
$string['messageurl'] = 'Message URL';
$string['minheight'] = 'Minimum height';
$string['minheight_help'] = 'Minimum height in pixels for block.';
$string['missingmustachetemplate'] = 'Missing mustache template.';
$string['mustachetemplate'] = 'Mustache template';
$string['mydashboards'] = 'My dashboards';
$string['myenrolledcourses'] = 'My enrolled courses';
$string['myparticipants'] = 'My participants / students';
$string['newblock'] = 'New Dash';
$string['nodashboardsforuser'] = 'No dashboards are available at this time.';
$string['none'] = 'None';
$string['nonpublicdashboards'] = 'Hide public dashboards';
$string['notauthorized'] = 'You do not have access to this dashboard.';
$string['pagination_summary'] = 'Showing {$a->limit_from} - {$a->limit_to} of {$a->total}';
$string['parentrole'] = 'Users I manage';
$string['parentrole_help'] = 'Only includes users that the current user has a role assigned to. See "<a href="https://docs.moodle.org/39/en/Parent_role" target="_blank">Parent role</a>."';
$string['parseerror'] = 'Parse error. The content cannot be displayed.';
$string['permissions'] = 'Restrict access to';
$string['permissionscohort'] = 'Cohort';
$string['permissionsrole'] = 'Role';
$string['permissionsloggedin'] = 'Must be logged in';
$string['permissionspublic'] = 'Public';
$string['perpage'] = 'Per page';
$string['perpage_help'] = 'Number of cards to display in grid per page.';
$string['pictureofuserlinked'] = 'User picture (linked to profile)';
$string['pictureofuserurl'] = 'User picture URL';
$string['pluginname'] = 'Dash';
$string['privacy:metadata'] = 'The Dash block only shows information about courses and does not store data itself.';
$string['querydebug'] = 'Query debug';
$string['querytemplate'] = 'Query template';
$string['querytemplate_help'] = 'This query will be used to';
$string['querytemplateinstructions'] = "Placeholders: <ul><li><b>%%SELECT%%</b> - Replaced with all selects based on field definitions. Do not include your own selects!</li><li><b>%%WHERE%%</b> - Replaced with clauses generated from filters. You can safely add more clauses by appending AND after %%WHERE%%</li><li><b>%%GROUPBY%%</b> - Replaced with grouping field(s) depending on data source</li><li><b>%%ORDERBY%%</b> - Replaced with default sort or user selected sort (clicking the column heading in a table for example)</li></ul>";
$string['querytemplatetip'] = 'Tip: Press Ctrl + Space to show intellisense / autocomplete when typing your query.';
$string['source'] = 'Source';
$string['stattodisplay'] = 'Figure to display';
$string['stattodisplayother'] = 'Other figure to display';
$string['status'] = 'Status';
$string['subheadingfield'] = 'Subheading field';
$string['subheadingfieldicon'] = 'Subheading icon';
$string['supportsfieldvisibility'] = 'Supports field visibility';
$string['supportsfieldvisibility_help'] = 'When enabled, allow admin to conditionally enable and disable fields.';
$string['supportsfiltering'] = 'Supports filtering';
$string['supportsfiltering_help'] = 'When enabled allow filtering results. This is handled by data source.';
$string['supportspagination'] = 'Supports pagination';
$string['supportspagination_help'] = 'When enabled, results will be automatically paginated. Pagination bar will be displayed.';
$string['supportssorting'] = 'Supports sorting';
$string['supportssorting_help'] = 'When enabled, sorting is allowed (only with tables).';
$string['system'] = 'System';
$string['tabconditions'] = 'Conditions';
$string['tabfields'] = 'Fields';
$string['tabfilters'] = 'Filters';
$string['tabgeneral'] = 'General';
$string['tablealias_c'] = 'Course';
$string['tablealias_cc'] = 'Course category';
$string['tablealias_ccp'] = 'Course completion';
$string['tablealias_dd'] = 'Dashboard';
$string['tablealias_e'] = 'Enrollment method';
$string['tablealias_g'] = 'Group';
$string['tablealias_sl'] = 'Site logs';
$string['tablealias_u'] = 'User';
$string['tablealias_ue'] = 'User enrollment';
$string['tags'] = 'Tags';
$string['timesinceevent'] = 'Time since event';
$string['titleoverride'] = 'Title override';
$string['totalactivities'] = 'Total activities';
$string['totalactivitiescompletion'] = 'Total activities (completion relevant)';
$string['userprofilelink'] = 'User profile link';
$string['userprofileurl'] = 'User profile URL';
$string['userscompleted'] = 'Users completed';
$string['usersnotcompleted'] = 'Users not completed';
$string['userstat'] = 'User stat';
$string['viewcourse'] = 'View course';
$string['viewprofile'] = 'View profile';
$string['withroles'] = 'With role(s)';
$string['headerfooter'] = 'Header & Footer';
$string['choosefeature'] = 'Choose Feature';
$string['datasources'] = 'Datasources';
// Course default image settings.
$string['generalsettings'] = 'General settings';
$string['courseimage'] = 'Course default image';
$string['courseimagedesc'] = 'Upload placeholder image to display as course image for empty course image.';
$string['hidecoursecategory'] = 'Do not show category/course index';
$string['hidecoursecategorydesc'] = "When a user tries to access the URL /course/index.php, they will be automatically
redirected to the site's home page, unless a custom URL is specified below.
If a URL is specified, users shall be redirected to that URL";
$string['courseredirecturl'] = 'Course redirect URL';
$string['courseredirecturldesc'] = 'Enter the URL to redirect the users from course index page.';
$string['courseimagelink'] = 'Course image link';
$string['backgroundimagefield'] = 'Background image';
// 1.3
$string['status:completed'] = 'Completed';
$string['status:inprogress'] = 'In Progress';
$string['status:notyetstarted'] = 'Not yet started';
$string['status:all'] = 'All';
$string['status:enrolled'] = 'Enrolled';
$string['widget:mycontacts'] = 'My Contacts';
$string['widget:groups:groupmembers'] = 'View Members';
$string['widget:groups:adduser'] = 'Add user';
$string['widget:groups:chat'] = 'Chat';
$string['widget:groups:leavegroup'] = 'Leave Group';
$string['widget:groups:creategroup'] = 'Create Group';
$string['widget'] = 'Widget';
$string['widget:mylearning'] = 'My learning';
$string['widget:mygroups'] = 'My groups';
$string['customfields'] = 'Custom fields';
$string['contacts'] = 'Contacts';
$string['badges'] = 'Badges';
$string['coursecontent'] = 'Course content';
$string['category'] = 'Category name';
$string['badgestitle'] = 'Badges';
$string['coursestafftitle'] = 'Course staff';
$string['secondarynav'] = 'Add to course navigation';
$string['dash:mygroups_addusers'] = 'Add users into groups';
$string['dash:mygroups_creategroup'] = 'Create groups in enrolled courses';
$string['dash:mygroups_leavegroup'] = 'Leave from groups';
$string['dash:mygroups_viewmembers'] = 'View members in assigned groups';
$string['nogroupsavailable'] = 'No groups available';
$string['nocontactsavailable'] = 'No contacts available';
$string['openmodule'] = 'Open module';
$string['dash:mygroups_view'] = 'View my own groups';
$string['buildown'] = 'Build your own';
$string['buildown_help'] = 'Datasources are highly configurable, You can use the datasources in various purpose. Filter, Sorting, Pagination features are supported';

$string['readymatewidgets'] = 'Ready to use widgets';
$string['readymatewidgets_help'] = 'Use the bellow widgets, widgets are easy to use, there is no need to setup additional configurations.';

$string['widget:mylearning_help'] = 'List of user enrolled courses with basic course informations such as staffs and available badges and list of course sections and modules';
$string['widget:mycontacts_help'] = 'List of users available in the contacts list.';
$string['widget:mygroups_help'] = 'List of assigned groups for the user, Can able to view other members in the group, add memebers to the group, Leave from the groups and more';

$string['users'] = 'Users';
$string['users_help'] = 'Users Datasource display the list of available users from the LMS';
$string['datasource:completions_data_source_help'] = 'Users compelted courses list.';
$string['datasource:courses_data_source_help'] = 'List of available courses for the current user.';
$string['datasource:dashboard_data_source_help'] = 'List of Dashboard';
$string['datasource:logstore_data_source_help'] = 'Datasource of site logs';
$string['confirmleavegroup'] = 'Do you really want to leave the group {$a}';
$string['fieldalert'] = 'The chosen layout can not be customised';

$string['enroldate_asc'] = 'Sort by enrolment date (oldest first)';
$string['enroldate_desc'] = 'Sort by enrolment date (newest first)';
$string['alpha_asc'] = 'Sort alphabetically A-Z';
$string['alpha_desc'] = 'Sort alphabetically Z-A';
$string['coursestartdate_asc'] = 'By course start date (newest first)';
$string['coursestartdate_desc'] = 'By course start date (oldest first)';
$string['course_enrolments:progress'] = 'Display progress';
$string['course_enrolments:expandable'] = 'Expandable';
$string['course_enrolments:abovecourseform'] = 'Above the courses';
$string['course_enrolments:belowcourseform'] = 'Below the courses';
$string['course_enrolments:displayaddcourse'] = 'Display add course form';
$string['course_enrols:viewotherprofiledash'] = 'View the others profile dash block';
$string['course_enrols:viewprofiledash'] = 'View the profile dash block';
$string['course_enrolments:disabled'] = 'Disabled';
$string['sortalpha'] = 'Alphabetically';
$string['sortenrolmentdate'] = 'Enrolment date';
$string['sortcoursestartdate'] = 'Course start date';

// Contacts suggestions.
$string['suggestinterests'] = 'Suggest users that have same interests';
$string['suggestinterests_desc'] = 'Display the users with same interests users contact list block';
$string['suggestcohort'] = 'Suggest users that have same cohort';
$string['suggestcohort_desc'] = 'Display the users with same interests users contact list block';
$string['suggestgroups'] = 'Suggest users that have same groups';
$string['suggestgroups_desc'] = 'Display the users with same interests users contact list block';
$string['suggestusers'] = 'Suggest users that have same users';
$string['suggestusers_desc'] = 'Display the users with same interests users contact list block';

$string['suggestion:interest'] = 'Also interested in {$a->interest}';
$string['suggestion:cohort'] = 'Also member of {$a->cohort}';
$string['suggestion:groups'] = 'In your group {$a->group}';
$string['suggestion:users'] = 'Recommended on this site';
$string['addtocontacts'] = 'Add to contacts';
$string['suggestcontacts'] = 'Suggested contacts';

$string['emptystateheading'] = 'Empty state';
$string['enroled'] = 'Enrolled';
$string['enrolnow'] = 'Enrol Now';
$string['course_enrol_role'] = 'Role for enrol using enrolment widget';
$string['datasource:enrolments_widget'] = 'Enrolments Widget';
$string['widget:course_enrols'] = 'Enrolments Widget';
$string['widget:course_enrols_help'] = 'Display the list of enrolled courses with completion progress';
$string['viewdetails'] = 'View details';
$string['progress_help'] = 'Display the completion progress of the course';
$string['choosefilter'] = "Choose filter";
$string['enrolmentmethod'] = "Enrolment method";
$string['enroldetails'] = "Enrolment details";
$string['edituserenrolment'] = 'Edit {$a}\'s enrolment';
$string['savechanges'] = "Save changes";
$string['participationnotcurrent'] = "Not current";
$string['nocourses'] = "No courses available";
$string['widget:skill_graph'] = 'Skill graph';
$string['widget:skill_graph_help'] = 'Competency breakdown report';
$string['proficient'] = 'Proficient';
$string['achieved'] = 'Achieved';
$string['notachieved'] = 'Not achieved';
$string['datasource:competency_widget'] = 'Skill graph widget';
$string['competencyframework'] = 'Competency framework';
$string['enrollment_options'] = 'Enrollment options';
$string['enrollmentoptions:seeoptions'] = 'See options';
$string['enrollmentoptions:free'] = 'Free';
$string['enrollmentoptions:fromcredits'] = 'From {$a} credits';
$string['enrollmentoptions:credits'] = '{$a} credits';
$string['enrollmentoptions:cost'] = 'From {$a->currency} {$a->cost}';
$string['widget:course_completions'] = 'Course completions';
$string['widget:course_completions_help'] = 'Course progress report.';
$string['coursedata:past'] = 'Past';
$string['coursedate:present'] = 'Present';
$string['coursedate:future'] = 'Future';

$string['viewcourse'] = 'View course';
$string['enrolnow'] = 'Enrol now';
$string['buynow'] = 'Buy now';
$string['notavailable'] = 'Not available';
$string['courseshopurl'] = 'Course shop url';
$string['smart_coursebutton'] = 'Smart course button';

$string['completion:completed'] = 'Completed';
$string['completion:inprogress'] = 'In progress';
$string['completion:notstarted'] = 'Not yet started';
$string['hidemycourses'] = 'Hide my enrolled courses';
$string['datasource:completion_widget'] = 'Course completions widget';
$string['coursedates'] = 'Course dates';
$string['enrollmentoptions'] = 'Enrolment methods';


$string['strslider'] = "Slider";
$string['strmasonry'] = "Masonry";
$string['layoutmode'] = "Layout mode";
$string['layoutmode_help'] = "Select which mode appers on the widget";
$string['autoplay'] = 'Autoplay';
$string['autoplaySpeed'] = 'Autoplay speed (ms)';
$string['arrows'] = 'Show arrows';
$string['centerMode'] = 'Center mode';
$string['centerPadding'] = 'Center padding (px)';
$string['dots'] = 'Show dots';
$string['draggable'] = 'Draggable';
$string['fade'] = 'Fade';
$string['infinite'] = 'Infinite loop';
$string['rows'] = 'Rows';
$string['slidesPerRow'] = 'Slides per row';
$string['slidesToShow'] = 'Slides to show';
$string['slidesToScroll'] = 'Slides to scroll';
$string['speed'] = 'Transition speed (ms)';
$string['swipeToSlide'] = 'Swipe to slide';
$string['variableWidth'] = 'Variable width';
$string['vertical'] = 'Vertical';
$string['verticalSwiping'] = 'Vertical swiping';

$string['autoplay_help'] = 'Autoplay';
$string['autoplaySpeed_help'] = 'Set the speed of the autoplay in milliseconds.';
$string['arrows_help'] = 'Display arrow buttons for next/previous slide navigation.';
$string['centerMode_help'] = 'Enables centered view with partial prev/next slides. Use with odd numbered slidesToShow counts.';
$string['centerPadding_help'] = 'Side padding when in center mode (px).';
$string['dots_help'] = 'Display dot indicators for slide navigation.';
$string['draggable_help'] = 'Enables dragging and flicking of slides.';
$string['fade_help'] = 'Enables fade effect on slides transition.';
$string['infinite_help'] = 'Enables infinite loop sliding.';
$string['rows_help'] = 'Number of rows to display when using multiple rows with slidesPerRow option.';
$string['slidesPerRow_help'] = 'Number of slides to display in one row.';
$string['slidesToShow_help'] = 'Number of slides to display at once.';
$string['slidesToScroll_help'] = 'Number of slides to scroll at once.';
$string['speed_help'] = 'Set the speed of the slide transition in milliseconds.';
$string['swipeToSlide_help'] = 'Enables swiping/dragging to slide to the closest slide after releasing touch.';
$string['variableWidth_help'] = 'Enables variable width slides.';
$string['vertical_help'] = 'Vertical slide orientation.';
$string['verticalSwiping_help'] = 'Enables vertical swiping/dragging of slides.';

$string['details_area'] = 'Details area';
$string['details_area_help'] = 'Choose how you want to display the details area.';
$string['details_area_size'] = 'Details area size';
$string['details_area_size_help'] = 'Choose how you want to size the details area.';
$string['like_item'] = 'Like item';
$string['like_item_help'] = 'Make the details area the same size as the card.';
$string['fit_content'] = 'Fit content';
$string['fit_content_help'] = 'Make the height of the details area the same as the card, and let the width be determined by the content.';
$string['details_area_locations'] = 'Details area locations';
$string['details_area_locations_help'] = 'Enter the details for each location you want to display in the details area.';
$string['details_bg_color'] = 'Details Background color';
$string['details_text_color'] = 'Details Text color';
$string['masonrycustomfield'] = "Dash settings";
$string['strgridsize'] = "Grid size";
$string['gridsizeoptions'] = "Wide\nTall\nSquare";
$string['strpromotion'] = "Promotion";
$string['promotionoptions'] = "Featured\nNormal\nDimmed";
$string['strcssclass'] = "CSS classes";

$string['strmasonrysearch'] = "Search box";
$string['strmasonrysort'] = "Sorting";
$string['strasc'] = "Asc";
$string['strdesc'] = "Desc";
$string['styleoptions'] = "Styling options";
$string['strinfo'] = "Info";
$string['strgrid'] = "Grid";
$string['styleoptions_help'] = "In order to apply individual styles to items, you can use custom fields. Pick the custom fields that you should be applied as CSS class to the grid item. Note: You have to create CSS styles yourself, Dash does not come with predefined CSS styles (but we plan to add the in the next version).";

// Details area.
$string['details_title'] = "Details Title";
$string['details_body_1'] = "Details Body 1";
$string['details_body_2'] = "Details Body 2";
$string['details_body_3'] = "Details Body 3";
$string['details_footer_left'] = "Details Footer left";
$string['details_footer_right'] = "Details Footer right";
$string['strdisabled'] = "Disabled";
$string['strexpanding'] = "Expanding";
$string['strfloating'] = "Floating";
$string['strmodal'] = "Modal";

// Export download option.
$string['downloadcsv'] = 'Download in CSV format';
$string['enabledownload'] = "Export data";
$string['enabledownload_help'] = "This setting enables users to download the data in both CSV and XLS formats.";
$string['defaultexportdata'] = "Dash export data";
$string['defaultexportdata_help'] = "This setting allows the configuration to enable/disable the dash datasource export data.";
$string['hidetable'] = "Hide the table content.";
$string['hidetable_help'] = " Enabling this option allows users to hide the table content in dash instance. Only the header and footer blocks will remain visible.";
$string['strdatasource'] = "datasource";
// ...Custom feature type.
$string['customfeaturetype'] = 'Custom feature type';
// ...Dashaddon content strings.
$string['contenteditor'] = 'Content';
$string['contentmodaltitle'] = 'Update the dash content';
$string['backgroundcolor'] = 'Background color';
$string['textcolor'] = 'Text color';
// ...Content addon layout options.
$string['layoutfull'] = 'Full layout';
$string['layoutdoubleequal'] = 'Double equal';
$string['layoutdoubleleft'] = 'Double (1/3, 2/3) ';
$string['layoutdoubleright'] = 'Double (2/3, 1/3)';
$string['layouttriple'] = 'Triple equal';
$string['contentlayout'] = 'Content layout';
$string['selectlayout'] = 'Select the content layout in preferences to add content';
$string['otheraddons'] = 'Other addons';
$string['contentdisplayallpage'] = 'All pages';
$string['contentdisplaysection'] = 'Section pages';
$string['contentdisplay'] = 'Display';
$string['contentsectiondisplay'] = 'Display sections';
$string['contentsections'] = 'Sections to display';

$string['dash:managedatasource'] = 'Manage Datasources';
$string['dash:managewidget'] = 'Manage Widgets';
$string['addcontent'] = 'Add content';
$string['editcontent'] = 'Edit content';
// ...Feature chooser strings.
$string['dashaddoncontentdesc'] = 'Choose from the following layouts';
$string['widgetsdesc'] = 'Pick a ready-to-use content widget and configure it';
$string['datasourcedesc'] = 'Add dynamic content with data sources and layouts';
// ...Conditions strings.
$string['showhiddencourses'] = 'Show hidden courses';
$string['maintable'] = 'Select main table <b>(mnt)</b> ';
$string['maintable_help'] = 'Choose the main table for field generation';
// ...Developer addon strings.

// ...Operators strings.
$string['operatorequal'] = '=';
$string['operatornotequal'] = '!=';
$string['operatorgreaterthan'] = '>';
$string['operatorgreaterthanequal'] = '>=';
$string['operatorlessthan'] = '<';
$string['operatorlessthanequal'] = '<=';
$string['operatorlike'] = 'LIKE';
$string['operatorlikebetween'] = 'LIKE %..%';
$string['operatornotlike'] = 'NOT LIKE';
$string['operatorin'] = 'IN (...)';
$string['operatornotin'] = 'NOT IN (...)';
$string['operatorinquery'] = 'IN (Query)';
$string['operator'] = 'Operator';

// ...Form section headers.
$string['fieldssection'] = 'Fields setup';
$string['conditionsection'] = 'Condition setup';
$string['fields'] = 'Fields';
$string['field'] = 'Field';
$string['fieldtransformdata'] = 'Transform the format';
$string['fieldtransformdata_help'] = 'Transform the format of the value when displayed in the table';

$string['fieldcustomdata'] = 'Additional format value';
$string['fieldcustomdata_help'] = 'Enter the additional data related to the selected attribute
<b>For example: </b>
1. For the link attribute, enter the link and use the field values as parameters <br>
2. For the percent attribute, Use the outof value. For the grades use 10 otherwise it uses 100
';

$string['operatorcondition'] = 'Condition';
$string['conditionvalue'] = 'Value';
$string['customcondition'] = 'Custom condition query';
$string['conditionaddfields'] = 'Add {no} condition(s)';
$string['conditionvalue_help'] = 'Condition Value - Enter the specific value against which the condition will be checked. This value is crucial in determining when the condition is met or satisfied.
Enter the values with comma(,) for IN conditions';

// ...Developer datasource and table.
$string['attribute'] = 'Attribute';
$string['maintablenotconfigured'] = 'Main table not configured for the developer data source';
$string['persistenttablealias'] = 'Custom source main table';
$string['developerfield'] = '{$a}';
$string['developerfieldid'] = 'id';
$string['tablejoinshdr'] = 'Join tables';

$string['tablejoin'] = 'Select Join table';
$string['tablejoin_help'] = 'Choose the table to join with main table. Use the alias for conditions.';
$string['tablejoinon'] = 'Enter condition query to join';
$string['deletejoin'] = 'Delete this join table';

$string['placeholderfields'] = 'Placeholder fields';
$string['placeholderfields_help'] = 'Select the fields and use those fields in the field additional custom values with {field_name}, this will be replaced with its corresponding values.';
$string['generateattributes'] = 'Generate field attributes';
$string['fieldattributeshdr'] = 'Transform field data format';
$string['transformformat'] = 'Transform format of {$a}';
$string['enablejoins'] = 'Enable joins';
$string['enableconditions'] = 'Enable conditions';
$string['generatefields'] = 'Generate fields';
$string['addjointable'] = 'Add {no} join table to form';
$string['deletefield'] = 'Delete this field';
$string['deletecondition'] = 'Delete this condition';
$string['tablejoinstatichdr'] = 'Joint table #{$a}';
$string['tablejoinsalias'] = 'Table alias';
$string['fieldstatichdr'] = 'Field #0';
$string['conditionstatichdr'] = 'Condition #0';
$string['operatorcondition_help'] = 'Conjunctive Operator - Choose between "AND" and "OR" to define how multiple conditions are combined.
- "AND" requires that all conditions must be true for the overall condition to be met.
- "OR" requires that at least one of the conditions must be true for the overall condition to be met.';

// ...Skill progress dash addon widget.
$string['widget:skillprogress'] = 'Skill progress';
$string['widget:skillprogress_help'] = 'Skill Progress displays the user\'s overall progress in all selected skills, including the current level and points earned for each skill individually.';
$string['coursedates'] = 'Course dates';
$string['skills'] = 'Skills';
$string['donut'] = 'Donut';
$string['currentlevel'] = 'Current level';
$string['nextlevelpoints'] = 'Next level points';
$string['totallevelpoints'] = 'Total level points';
$string['hideindividualskills'] = 'Hide individual skills';

// ...Myskill condition.
$string['myskills'] = 'My skills';
$string['hidecompletedskills'] = 'Hide completed skills';
$string['currentcourseskills'] = 'Current course skills';
$string['totalpoints'] = 'Total points';
$string['nextlevelstr'] = '{$a->points} points to become {$a->name}';

// ...Dash skill levels visual display.
$string['widget:skilllevelvisuals'] = 'Skill level visuals';
$string['widget:skilllevelvisuals_help'] = 'Display the levels associated with the selected skill as images.';
$string['fieldcurrentlevel'] = 'Display current level';
$string['fieldalllevels'] = 'Display all levels';
$string['chooseskill'] = 'Choose skill';
$string['tablealias_tsk'] = 'Skills';
$string['yourcurrentlevel'] = 'Your current level';

// ... My profile widget strings.
$string['myprofiletable'] = 'Profile';
$string['widget:myprofile'] = 'My profile';
$string['widget:myprofile_help'] = 'Display the information about the user profile with important KPI';

$string['field:profileimage'] = 'Show user profile image';
$string['field:fullname'] = 'Show user\'s full name';

$string['field:completedcourses'] = 'Completed courses';
$string['field:enrolledprogress'] = 'Completed/total courses';
$string['field:coursesinprogress'] = 'Courses in progress';
$string['field:currentcoursescount'] = 'Current courses';
$string['field:futurecoursescount'] = 'Future courses';
$string['field:pastcoursescount'] = 'Past courses';
$string['field:earnedskillpoints'] = 'Earned skill points';
$string['field:earnedandtotalpoints'] = 'Earned/total skill points';
$string['field:loginstreak'] = 'Login streak';
$string['field:loginsthisweek'] = 'Logins this week';
$string['field:completedcoursesinweek'] = 'Completed courses this week';
$string['field:completedactivitiesinweek'] = 'Completed activities this week';
$string['field:numberofdueactivities'] = 'Number of due activities';
$string['field:numberofoverdueactivities'] = 'Number of overdue activities';
$string['field:numberofunreadmsg'] = 'Number of unread messages';
$string['field:numberofcontactreq'] = 'Number of contact requests';
$string['field:sincelogindays'] = 'Number of days since last login';
$string['field:teammemberscount'] = 'Number of team members';
$string['field:onlineuserscount'] = 'Number of users currently online';
$string['field:profileuserinfo'] = 'Profile user info {$a}';
$string['field:kpi'] = 'KPI {$a}';
$string['loginstreakdays'] = 'Login streak days';
$string['loginstreakdaysdesc'] = 'Set the number of consecutive days required to maintain a streak.';

// ...myprofile kpi labels displayed to users.
$string['label:completedcourses'] = 'Completed courses';
$string['label:enrolledprogress'] = 'Completed courses';
$string['label:coursesinprogress'] = 'Courses in progress';
$string['label:currentcoursescount'] = 'Current courses';
$string['label:futurecoursescount'] = 'Future courses';
$string['label:pastcoursescount'] = 'Past courses';
$string['label:earnedskillpoints'] = 'Points collected';
$string['label:earnedandtotalpoints'] = 'Earned/total points';
$string['label:loginstreak'] = 'Day streak';
$string['label:loginsthisweek'] = 'Logins this week';
$string['label:completedcoursesinweek'] = 'Courses completed this week';
$string['label:completedactivitiesinweek'] = 'Activities completed this week';
$string['label:numberofdueactivities'] = 'Due activities';
$string['label:numberofoverdueactivities'] = 'Overdue activities';
$string['label:numberofunreadmsg'] = 'Unread messages';
$string['label:numberofcontactreq'] = 'Contact requests';
$string['label:sincelogindays'] = 'Days since last login';
$string['label:teammemberscount'] = 'Team members';
$string['label:onlineuserscount'] = 'Users currently online';

// ...Block dash.
$string['learningpath:path'] = 'Path';
$string['learningpath:infoarea'] = 'Info area content';

$string['widget:learningpath'] = 'Learning Path';
$string['widget:learningpath_help'] = 'List of courses available in the learning path.';

$string['dot'] = "Dot";
$string['tinyimage'] = "Tiny image";
$string['smallimage'] = "Small image";
$string['mediumimage'] = "Medium image";
$string['largeimage'] = "Large image";
$string['extralargeimage'] = "Extra large image";

$string['menu'] = "Menu order";
$string['courseshortname'] = "Course short name";
$string['coursefullname'] = "Course full name";
$string['courseidnumber'] = "Course idnumber";
$string['coursestartdate'] = "Course start date";

$string['asc'] = "ASC";
$string['desc'] = "DESC";


$string['field:infoarea'] = "Info area";
$string['field:infoarea_help'] = "if true, show the info area";
$string['field:courseimgsize'] = "Course image size";
$string['field:courseimgsize_help'] = "
Dot — 20x20 px dot, without the course image. <br>
Tiny image — 35x35px.<br>
Small image — 50x50px.<br>
Medium image — 75x75px.<br>
Large image — 100x100px.<br>
Extra large image — 150x150px.
";
$string['field:startelement'] = "Start element";
$string['field:startelement_help'] = " if true, adds the start element at the beginning of the path";
$string['field:finishelement'] = "Finish element";
$string['field:finishelement_help'] = "if true, adds the finish element at the End of the path";
$string['field:detailsarea'] = "Details area";
$string['field:detailsarea_help'] = "if true, displays a details area as modal upon clicking the course";
$string['field:orderby'] = "Order by";
$string['field:orderby_help'] = "Order by";
$string['field:orderdirection'] = "Order direction";
$string['field:orderdirection_help'] = "Order direction";
$string['field:limit'] = "Limit";
$string['field:limit_help'] = "Limit";
$string['field:learningpathdesktop'] = "Path for Desktop";
$string['field:learningpathtablet'] = "Path for Tablet";
$string['field:learningpathmobile'] = "Path for Mobile";
$string['leanringpath_infocontent'] = 'You have completed <b>{$a->completed}</b> out of <b> {$a->total} </b> courses. The next course in this learning path is: <b> {$a->nextcourse}</b>';
$string['trialpath'] = "Trial";
$string['anothertrailpath'] = "Another trial";
$string['circlepath'] = "Circle";
$string['desktop_learningpath'] = "Learning Path for Desktop";
$string['desktop_learningpath_desc'] = "";
$string['tablet_learningpath'] = "Learning Path for Tablet";
$string['tablet_learningpath_desc'] = "";
$string['mobile_learningpath'] = "Learning Path for Mobile";
$string['mobile_learningpath_desc'] = "";

$string['resumelearningpath'] = "Resume learning path";
$string['completedlearningpath'] = "Learning path complete. Good job!";

$string['resumecourse'] = "Resume course";
$string['completedcourse'] = "Completed course";
$string['startcourse'] = "Start course";

$string['restrictcurrentsection'] = "Automatically restrict to current section";
$string['restrictcurrentsection_desc'] = "If a dash block with the content addon is added to a single-section page, it shall be automatically restricted to that section.";

$string['learningpathstart'] = 'Start';
$string['learningpathfinish'] = 'Finish';
$string['nocourselearnigpath'] = "No courses have been added to the learning path yet.";

// ... enrol program string.
$string['programimagelink'] = 'Program image linked';
$string['smart_coursebutton'] = 'Smart course button';
$string['fullnamelinked'] = 'Fullname linked';
$string['contextlinked'] = 'Context linked';
$string['description'] = 'Description';
$string['programs:view'] = 'View programs';
$string['selfallocationwithkey'] = 'Sigup (Key required)';
$string['viewprogram'] = 'View program';

$string['createddate'] = 'Created date';
$string['modifieddate'] = 'Last modified date';
$string['duedate'] = 'Due date';
$string['categoryurl'] = 'Category URL';
$string['modulename'] = 'Module Name';
$string['programbg'] = "Enrol Program image";
$string['programbg_desc'] = "";

// Course certificate datasource strings.
$string['downloadcertificate'] = 'Download certificate';
$string['certificatecodelinked'] = 'Code linked';

// Category datasource.
$string['categories'] = 'Categories';
$string['categories_help'] = 'Categories datasource list the available categories.';
$string['recentcoursename'] = 'Recent course';
$string['categoryimagelink'] = 'Category link';
$string['categoryimage'] = 'Category image';
$string['categorycoursecount'] = 'Courses count';
// ...Category image settings.
$string['categoryimgheading'] = 'Category image';
$string['categoryimgheadingsub'] = 'Categories images';
$string['categoryimgdesc'] = 'Add images for the categories';
$string['categoryimgcategory'] = 'Image for category {$a->category}';
$string['categoryimgfallback'] = 'Category fallback image';
$string['categoryimgfallbackdesc'] = 'Upload the image for the default fallback of categories. If new categories are created, the fallback image will be displayed until a new image is added for the category';
$string['categoryimageurl'] = 'Category image url';

$string['cssclass'] = "CSS classes";
$string['cssclass_help'] = "Use a custom CSS class to apply multiple classes.";
$string['backgroundposition'] = 'Background Position';
$string['backgroundposition_help'] = 'Background image will focused on the given position';
$string['designercustombgposition'] = "Custom Background Position";
$string['backgroundsize'] = 'Background Size';
$string['backgroundsize_help'] = 'Background image will displayed in the size';
$string['designercustombgsize'] = "Custom Background Size";
$string['backgroundsize_help'] = 'Background image will displayed in the size';

$string['initial'] = "Initial";
$string['lefttop'] = "Left Top";
$string['leftcenter'] = "Left Center";
$string['leftbottom'] = "Left Bottom";
$string['righttop'] = "Right Top";
$string['rightcenter'] = "Right Center";
$string['rightbottom'] = "Right Bottom";
$string['centertop'] = "Center Top";
$string['centercenter'] = "Center Center";
$string['centerbottom'] = "Center Bottom";

$string['auto'] = "Auto";
$string['cover'] = "Cover";
$string['contain'] = "Contain";

$string['strcustom'] = "Custom";
$string['cohorts'] = "Cohorts";
$string['users_mycohort'] = "Users in one of my cohorts";

$string['currentcategory'] = 'Current Category';
$string['dashicon'] = 'Icon';
$string['dashicon_help'] = 'This icon shows onlu in the dashboards data source.';
$string['dashthumbnailimg'] = 'Thumbnail image';
$string['dashthumbnailimgurl'] = 'Thumbnail image URL';
$string['dashthumbnailimg_help'] = "This thumbnail image shows only in dashboards data source";
$string['dashbgimg'] = 'Background image';
$string['dashbgimg_help'] = 'This background image used as background for the dashboard.';
$string['coredashboard'] = "Main dashboard";
$string['backgroundimageurl'] = 'Background image URL';

$string['border_option'] = "Show border";
$string['border_option_help'] = "You can add the border of dash block.";
$string['bordervalue'] = "Border Value";


$string['managedashaddonplugins'] = "Manage addons";
$string['dashaddonpluginname'] = 'Dash addon name';
$string['hideshow'] = 'Hide/Show';

$string['maindashboard'] = "Main dashboard";
$string['enterclasses'] = "Enter classes";
// Permissions role context.
$string['permissionsrolecontext'] = 'Role Context';
$string['permissionsrolecontext_help'] = 'Select the context for which the user\'s role should be checked (Any context or system context only)';
// ...Dashaddon skill graph strings.
$string['managecapabilitymissing'] = 'Require capability "moodle/competency:competencymanage" to access the page is missing';
$string['managecompentency'] = 'Manage competencies appearance';
$string['totalprogress'] = 'Total progress';
$string['setup'] = 'Setup';
$string['compentenciesnotfound'] = 'Competency not found.';
$string['competencyappearance'] = 'Competency appearances';
$string['competencyheading'] = 'Setup competency appearance';
$string['competencycolor'] = 'Competency color';
$string['competencyimage'] = 'Competency image';
$string['missingdatasource'] = "The datasources are missing. Please check them.";

